weka.core.pmml.jaxbbindings

## Enum TIMESERIESALGORITHM

- java.lang.Object
- - java.lang.Enum<TIMESERIESALGORITHM>
  - - weka.core.pmml.jaxbbindings.TIMESERIESALGORITHM

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TIMESERIESALGORITHM>

      public enum TIMESERIESALGORITHM
      extends java.lang.Enum<TIMESERIESALGORITHM>

  Java class for TIMESERIES-ALGORITHM.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="TIMESERIES-ALGORITHM">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="ARIMA"/>
           <enumeration value="ExponentialSmoothing"/>
           <enumeration value="SeasonalTrendDecomposition"/>
           <enumeration value="SpectralAnalysis"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARIMA`
    `EXPONENTIAL_SMOOTHING`
    `SEASONAL_TREND_DECOMPOSITION`
    `SPECTRAL_ANALYSIS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TIMESERIESALGORITHM` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static TIMESERIESALGORITHM` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TIMESERIESALGORITHM[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARIMA

          public static final TIMESERIESALGORITHM ARIMA

    - #### EXPONENTIAL_SMOOTHING

          public static final TIMESERIESALGORITHM EXPONENTIAL_SMOOTHING

    - #### SEASONAL_TREND_DECOMPOSITION

          public static final TIMESERIESALGORITHM SEASONAL_TREND_DECOMPOSITION

    - #### SPECTRAL_ANALYSIS

          public static final TIMESERIESALGORITHM SPECTRAL_ANALYSIS

  - ### Method Detail

    - #### values

          public static TIMESERIESALGORITHM[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TIMESERIESALGORITHM c : TIMESERIESALGORITHM.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TIMESERIESALGORITHM valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static TIMESERIESALGORITHM fromValue(java.lang.String v)